import request from '@/utils/request'

// 查询预警信息列表
export function listForewarningInfo(query) {
  return request({
    url: '/info/forewarningInfo/list',
    method: 'get',
    params: query
  })
}

// 查询预警信息详细
export function getForewarningInfo(forewarningId) {
  return request({
    url: '/info/forewarningInfo/' + forewarningId,
    method: 'get'
  })
}

// 新增预警信息
export function addForewarningInfo(data) {
  return request({
    url: '/info/forewarningInfo',
    method: 'post',
    data: data
  })
}

// 修改预警信息
export function updateForewarningInfo(data) {
  return request({
    url: '/info/forewarningInfo',
    method: 'put',
    data: data
  })
}

// 删除预警信息
export function delForewarningInfo(forewarningId) {
  return request({
    url: '/info/forewarningInfo/' + forewarningId,
    method: 'delete'
  })
}

// 导出预警信息
export function exportForewarningInfo(query) {
  return request({
    url: '/info/forewarningInfo/export',
    method: 'get',
    params: query
  })
}
